#
# spec file for package demorse
#

Name:           demorse
Version:        1.2
Release:        lp152.1.2
Summary:        A Morse code decoding application for CLI
License:        GPL-3.0
Group:          Productivity/Hamradio/Other
# http://5b4az.chronos.org.uk/pages/morse.html is now dead
Url:            http://qsl.net/5/5b4az
Source0:        http://qsl.net/5/5b4az/pkg/morse/demorse/%{name}-%{version}.tar.bz2
Source100:      %{name}.changes
BuildRequires:  help2man
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(alsa)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Demorse is a Morse code decoding application for the console.
It detects the receiver's audio output via the computer's sound card,
using simple dsp techniques, and then decodes the mark/space sequence into characters
which are printed on the console screen. Demorse has some tolerance to bad operator "fists"
and noise or interference, however it could be improved by using more sophisticated
audio signal detection. demorse can measure and adapt to the Morse transmission's speed within
the range of 10-30 words per minute, the default starting speed being set to about 20 wpm.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
help2man --name=demorse --section=1 --help-option="-h" \
         --version-option="-v" ./%{name} --no-discard-stderr \
         --no-info > %{name}.1
install -D -m 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%defattr(-,root,root)
%doc AUTHORS README doc/
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{ext_man}

%changelog
* Mon Jan 16 2017 aloisio@gmx.com
- Update to version 1.2
  * Fixed two "format-security" errors in sound.c,
    reported by Jaroslav  Skarvada of the Fedora distribution.
  Version 1.1
  * I have updated the basic files of the GNU  Autotools
    build system, to be compatible with the current version
    of these tools at the time of writing (February 2013).
  Version 1.0
  * Changed the sound functions from OSS to ALSA as OSS is
    no longer properly supported and I had reports from
    users of demorse that they could not get it to work
    with their sound card. I also checked the code with
    cppcheck and clang analyzer and fixed warnings, mainly
    about style.
- Dropped demorse-build_with_optflags.patch now obsolete
- Added autogenerated manpage
- Spec cleanup
* Sat May  8 2010 packman@links2linux.de - 0.9
- initial package, version 0.9
